Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 527493 - Several source files no longer available
Summary: Several source files no longer available
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: fortune-mod
Version: 23
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jeff Sheltren
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-06 15:57 UTC by Michel Alexandre Salim
Modified: 2016-12-20 12:02 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 12:02:10 UTC
Type: ---


Attachments (Terms of Use)

Description Michel Alexandre Salim 2009-10-06 15:57:13 UTC
Description of problem:
Several source files referenced by Fedora's fortune-mod are no longer available at their upstream locations. They are still available in Fedora's lookaside cache, naturally.

Version-Release number of selected component (if applicable):
fortune-mod-1.99.1-13.fc12.x86_64

How reproducible:
Always

Steps to Reproduce:
1. cvs co fortune-mod
2. spectool -gf fortune-mod/devel/fortune-mod.spec
  
Actual results:
Of the five sources with given URLs, only humorixfortunes is downloaded correctly. The other files are all not available

--2009-10-06 11:50:43--  http://www.redellipse.net/code/downloads/fortune-mod-1.99.1.tar.gz
Resolving www.redellipse.net... 64.79.218.140
Connecting to www.redellipse.net|64.79.218.140|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
2009-10-06 11:50:44 ERROR 404: Not Found.

--2009-10-06 11:50:44--  http://www.aboleo.net/software/misc/fortune-tao.tar.gz
Resolving www.aboleo.net... failed: Name or service not known.
wget: unable to resolve host address `www.aboleo.net'
--2009-10-06 11:50:44--  http://www.splitbrain.org/Fortunes/hitchhiker/fortune-hitchhiker.tgz
Resolving www.splitbrain.org... 78.46.97.149
Connecting to www.splitbrain.org|78.46.97.149|:80... connected.
HTTP request sent, awaiting response... 301 Moved Permanently
Location: /projects/fortunes [following]
--2009-10-06 11:50:44--  http://www.splitbrain.org/projects/fortunes
Reusing existing connection to www.splitbrain.org:80.
HTTP request sent, awaiting response... 200 OK
Length: 10348 (10K) [text/html]
Saving to: `./fortunes'

100%[======================================>] 10,348      41.7K/s   in 0.2s    

Last-modified header missing -- time-stamps turned off.
2009-10-06 11:50:45 (41.7 KB/s) - `./fortunes' saved [10348/10348]

--2009-10-06 11:50:45--  http://www.dibona.com/opensources/osfortune.tar.gz
Resolving www.dibona.com... 209.81.9.22
Connecting to www.dibona.com|209.81.9.22|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
2009-10-06 11:50:45 ERROR 404: Not Found.

--2009-10-06 11:50:45--  http://humorix.org/downloads/humorixfortunes-1.4.tar.gz
Resolving humorix.org... 208.113.221.37
Connecting to humorix.org|208.113.221.37|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 97053 (95K) [application/x-tar]
Saving to: `./humorixfortunes-1.4.tar.gz'

100%[======================================>] 97,053       221K/s   in 0.4s    

2009-10-06 11:50:46 (221 KB/s) - `./humorixfortunes-1.4.tar.gz' saved [97053/97053]


Expected results:
The unavailable sources should not list their (previous) URL. Perhaps leave them as comments?

Additional info:

Comment 1 Bug Zapper 2009-11-16 13:18:47 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Bug Zapper 2010-11-04 09:37:27 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Michel Alexandre Salim 2010-11-16 00:14:08 UTC
Still affects Rawhide as of now

Comment 4 Fedora End Of Life 2013-04-03 20:15:43 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 5 Fedora End Of Life 2015-01-09 21:40:47 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2015-02-18 11:59:58 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 Jan Kurik 2015-07-15 15:20:57 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 8 Fedora End Of Life 2016-11-24 10:25:44 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2016-12-20 12:02:10 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.